#ifndef GESTURE_DRAWER_H
#define GESTURE_DRAWER_H

#include <qframe.h>
#include <qstring.h>
#include <qevent.h>
#include <qpoint.h>
#include <qwidget.h>

class GestureDrawer : public QFrame
  {
    public:
  GestureDrawer(QWidget *parent, const char *name);
  ~GestureDrawer();

  void setData(const QString &data);

    protected:
  void paintEvent(QPaintEvent *ev);
  
    private:
  QPoint lookupCellCoords(Q_UINT32 cell);
    
  QString _data;
  };

#endif
